> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Vault Connection

> Update vault connection properties.

**Required Role:** ADMIN or OWNER

Updatable fields:
- name
- description

To rotate the access token, use the /rotate-token endpoint.



## OpenAPI

````yaml PATCH /v1/teams/{team_id}/vault-connections/{connection_id}
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/vault-connections/{connection_id}:
    patch:
      tags:
        - Vault Connections
      summary: Update Vault Connection
      description: |-
        Update vault connection properties.

        **Required Role:** ADMIN or OWNER

        Updatable fields:
        - name
        - description

        To rotate the access token, use the /rotate-token endpoint.
      operationId: >-
        update_vault_connection_v1_teams__team_id__vault_connections__connection_id__patch
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VaultConnectionUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultConnectionResponse'
        '400':
          description: Invalid update data
        '404':
          description: Connection not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    VaultConnectionUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Description
      type: object
      title: VaultConnectionUpdate
      description: |-
        Schema for updating vault connection.

        Only non-sensitive fields can be updated. To rotate the access token,
        use the dedicated rotate endpoint.
    VaultConnectionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        vault_type:
          $ref: '#/components/schemas/VaultType'
        last_verified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Verified At
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - name
        - description
        - vault_type
        - last_verified_at
        - created_at
        - created_by
      title: VaultConnectionResponse
      description: Schema for vault connection response (without sensitive data).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VaultType:
      type: string
      enum:
        - onepassword
        - doppler
        - infisical
      title: VaultType
      description: |-
        External vault provider types for credential storage.

        ONEPASSWORD: 1Password via service account SDK
        DOPPLER: Doppler secrets manager via service token
        INFISICAL: Infisical via machine identity (Universal Auth)
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````